
From: Rene Herman <rene.herman@keyaccess.nl>

It prints:

PNP: PS/2 controller doesn't have AUX irq; using default 0xc

Use decimal for the IRQ number instead.

Cc: Vojtech Pavlik <vojtech@suse.cz>
Cc: Dmitry Torokhov <dtor_core@ameritech.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/serio/i8042-x86ia64io.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/input/serio/i8042-x86ia64io.h~i8042-x86ia64-printk-fixes drivers/input/serio/i8042-x86ia64io.h
--- devel/drivers/input/serio/i8042-x86ia64io.h~i8042-x86ia64-printk-fixes	2005-07-06 01:07:54.000000000 -0700
+++ devel-akpm/drivers/input/serio/i8042-x86ia64io.h	2005-07-06 01:07:54.000000000 -0700
@@ -281,12 +281,12 @@ static int i8042_pnp_init(void)
 	}
 
 	if (!i8042_pnp_kbd_irq) {
-		printk(KERN_WARNING "PNP: PS/2 controller doesn't have KBD irq; using default %#x\n", i8042_kbd_irq);
+		printk(KERN_WARNING "PNP: PS/2 controller doesn't have KBD irq; using default %d\n", i8042_kbd_irq);
 		i8042_pnp_kbd_irq = i8042_kbd_irq;
 	}
 
 	if (!i8042_pnp_aux_irq) {
-		printk(KERN_WARNING "PNP: PS/2 controller doesn't have AUX irq; using default %#x\n", i8042_aux_irq);
+		printk(KERN_WARNING "PNP: PS/2 controller doesn't have AUX irq; using default %d\n", i8042_aux_irq);
 		i8042_pnp_aux_irq = i8042_aux_irq;
 	}
 
_
